---
title: "Mining"
---

Wownero is solo-mining only since Junkie Jeff Hardfork (4th july 2021).

# Mining Directly With Wownerod

This guide was copied and extended from JR Swab's blog post - read the source here: [JR Swab - Mining Wownero](https://jrswab.com/blog/how-to-mine-wownero)

1. Download the latest version of Wownero to your mining computer here: [Wownero releases](https://git.wownero.com/wownero/wownero/releases).
2. Extract the download
3. Open a terminal in the extracted directory (you should see `wownerod`, `wownero-wallet-cli`, etc from the `ls` command)
4. Create a new wallet for mining by running `./wownero-wallet-cli --generate-new-wallet mining`
5. Note the wallet's mnemonic seed and store it safely
6. Enter `spendkey` while in the wallet CLI interface and note the secret spend key (aka `{SECRET-SPENDKEY}`)
7. Enter `address` while in the wallet CLI interface and note the primary address (aka `{YOUR-ADDRESS}`)
8. Determine how many CPU cores you want to dedicate to mining (aka `{NUMBER}`)
9. Run `./wownerod --start-mining {YOUR-ADDRESS} --spend-secret-key {SECRET-SPENDKEY} --mining-threads {NUMBER}`

When the blockchain finishes synchronizing mining will begin.

Please consider sending a tip to this person for taking the time to write this: [Donate to JR Swab](https://jrswab.com/support).

# Mining with XMRig

Once again copied from [JR Swab's blog post](https://jrswab.com/blog/how-to-mine-wownero). [Donate to JR Swab](https://jrswab.com/support).

Perform the [above steps](#mining-directly-with-wownerod) but change number 9; `wownerod` must be running in your terminal without mining options (just run `./wownerod`):

1. Download the latest [XMRig release](https://github.com/xmrig/xmrig/releases)
2. Extract the download
3. Open a new terminal in the extracted directory (you should see `xmrig` from the `ls` command)
4. Run `./xmrig --donate-level 5 --url 127.0.0.1:34568 --user {YOUR-ADDRESS} --algo rx/wow --spend-secret-key {SECRET-SPENDKEY} --threads {NUMBER} --daemon`; run with `sudo` for additional performance

# Mining with SuchMiner

To solo mine you can use SuchMiner, a high-performance Wownero miner. 

1. [Download SuchMiner](https://github.com/duggavo/SuchMiner/releases) and unzip the downloaded folder. If you wish you can also verify the hash and signature, or build by yourself.
2. For security reasons it is strongly recommeneded to create a new wallet for mining. You can use [Wowlet](https://wowlet.app/) or [Wownero Wallet CLI](https://git.wownero.com/wownero/releases).
3. Run SuchMiner and enter your wallet address and private spend key when prompted. In WowLet you can see them with *wallet*>*keys*.

## Wen block?
[CryptUnit](https://www.cryptunit.com/coin/WOW) is a great solo mining calculator.
Please keep in mind that solo mining is a lottery - it might take you more or less time to find a block, depending on your luck.

![](/mason.png)
